Subject: Re: [net-next 06/15] net/mlx5e: TC, Support tc action api for police

From: Jakub Kicinski <[email-masked]>
Date: Fri, 29 Jul 2022 19:58:44 -0700

On Fri, 29 Jul 2022 17:51:05 +0100 Simon Horman wrote:
> my reading of things is that the handling of offload of police (meter)
> actions in flower rules by the mlx5 driver is such that it can handle
> offloading actions by index - actions that it would now be possible
> to add to hardware with this patch in place.
> 
> My reasoning assumes that mlx5e_tc_add_flow_meter() is called to offload
> police (meter) actions in flower rules. And that it calls
> mlx5e_tc_meter_get(), which can find actions based on an index.
> 
> I could, however, be mistaken as I have so much knowledge of the mlx5
> driver. And rather than dive deeper I wanted to respond as above - I am
> mindful of the point we are in the development cycle.
> 
> I would be happy to dive deeper into this as a mater of priority if
> desired.

Thank you! No very deep dives necessary from my perspective, just 
wanted for the authors of the action offload API to look over.